Skip to main content
POST
/
v2
/
insights
/
routings
/
failed-bookings-by-field
Get failed bookings by routing field
curl --request POST \
  --url https://api.cal.com/v2/insights/routings/failed-bookings-by-field \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": "user",
  "startDate": "2024-01-01",
  "endDate": "2024-01-31",
  "selectedTeamId": 12,
  "columnFilters": [
    {
      "id": "createdAt",
      "value": {
        "type": "dr",
        "data": {
          "startDate": "2024-01-01",
          "endDate": "2024-01-31",
          "preset": "custom"
        }
      }
    }
  ]
}
'
import requests

url = "https://api.cal.com/v2/insights/routings/failed-bookings-by-field"

payload = {
    "scope": "user",
    "startDate": "2024-01-01",
    "endDate": "2024-01-31",
    "selectedTeamId": 12,
    "columnFilters": [
        {
            "id": "createdAt",
            "value": {
                "type": "dr",
                "data": {
                    "startDate": "2024-01-01",
                    "endDate": "2024-01-31",
                    "preset": "custom"
                }
            }
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    scope: 'user',
    startDate: '2024-01-01',
    endDate: '2024-01-31',
    selectedTeamId: 12,
    columnFilters: [
      {
        id: 'createdAt',
        value: {
          type: 'dr',
          data: {startDate: '2024-01-01', endDate: '2024-01-31', preset: 'custom'}
        }
      }
    ]
  })
};

fetch('https://api.cal.com/v2/insights/routings/failed-bookings-by-field', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "Contact Sales": {
      "Company size": [
        {
          "optionId": "option_1",
          "optionLabel": "Enterprise",
          "count": 5
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
scope
enum<string>
required
Available options:
user,
team,
org
Example:

"user"

startDate
string
required

Inclusive start date for routing insights

Example:

"2024-01-01"

endDate
string
required

Inclusive end date for routing insights

Example:

"2024-01-31"

selectedTeamId
number

Team ID for team-scoped routing insights

Example:

12

columnFilters
object[]

Data-table column filters (discriminated union by type: ss, ms, t, n, dr). Date range filters use id=createdAt.

Example:
[
  {
    "id": "createdAt",
    "value": {
      "type": "dr",
      "data": {
        "startDate": "2024-01-01",
        "endDate": "2024-01-31",
        "preset": "custom"
      }
    }
  }
]

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required
Example:
{
  "Contact Sales": {
    "Company size": [
      {
        "optionId": "option_1",
        "optionLabel": "Enterprise",
        "count": 5
      }
    ]
  }
}